"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const singleton_1 = require("./util/singleton");
const inversify = require("inversify");
var Di;
(function (Di) {
    function inject(target, propertyKey, parameterIndex) {
        inversify.inject(target.constructor);
    }
    Di.inject = inject;
    function bindClass(target) {
        if (Di.container.isBound(target))
            return;
        inversify.decorate(inversify.injectable(), target);
        Di.container.bind(target).toSelf().inTransientScope();
    }
    Di.bindClass = bindClass;
    function bindSingleton(target) {
        if (Di.container.isBound(target))
            return;
        Di.container.bind(target).toDynamicValue(() => singleton_1.Singleton.SingletonFactory.get(target));
    }
    Di.bindSingleton = bindSingleton;
    function bindConstant(key, value) {
        if (Di.container.isBound(key))
            return;
        Di.container.bind(key).toConstantValue(value);
    }
    Di.bindConstant = bindConstant;
    Di.container = new inversify.Container();
})(Di = exports.Di || (exports.Di = {}));
//# sourceMappingURL=di.js.map