import * as amqp from 'amqplib';
import { IEvent } from '../interface/event';
import { Param } from '../interface/param';
export declare class MessageDust {
    protected serviceName: string;
    protected conn: amqp.Connection;
    protected rpcChannel: amqp.Channel;
    protected eventChannel: amqp.Channel;
    protected responses: any;
    protected workerQueue: string;
    protected fanoutQueue: string;
    constructor(serviceName: string);
    initialize(): Promise<void>;
    private setupMQ();
    private closeQ();
    destroy(): Promise<void>;
    consumeRest(controllers: any): Promise<void>;
    consumeRPC(controllers: any): Promise<void>;
    consumeGraph(controllers: any): Promise<void>;
    private getEventKey(cronEvents, key);
    consumeWorkerEvent(controllers: any): Promise<void>;
    consumeFanoutEvent(controllers: any): Promise<void>;
    invokeRPC(rpcParam: Param.RpcParam): Promise<any>;
    publishEvent(event: IEvent<any>): Promise<string>;
}
