"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose = require("mongoose");
const logger_1 = require("../util/logger");
const DB = process.env.MONGO_DB || 'test';
const PORT = process.env.MONGO_PORT || '31017';
const URI = process.env.MONGO_URL || 'mongodb';
class MongoDust {
    constructor() {
    }
    initialize() {
        return __awaiter(this, void 0, void 0, function* () {
            const uri = `mongodb://${URI}:${PORT}/${DB}`;
            try {
                logger_1.logger.info(`[MongoDust] Creating connection to ${uri}...`);
                yield mongoose.connect(uri, { useNewUrlParser: true, promiseLibrary: require('bluebird') });
                this.db = mongoose.connection;
                logger_1.logger.info(`[MongoDust] Connected.`);
            }
            catch (err) {
                logger_1.logger.error('[MongoDust] Failed to initialize...\n', err);
                throw err;
            }
        });
    }
    destroy() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                logger_1.logger.info(`[MongoDust] Closing connection...`);
                this.db.close();
                logger_1.logger.info(`[MongoDust] Closed.`);
            }
            catch (err) {
                logger_1.logger.error('[MongoDust] Failed to destory...\n', err);
            }
        });
    }
}
exports.MongoDust = MongoDust;
//# sourceMappingURL=mongo.dust.js.map