export declare namespace StarError {
    class AbstractError extends Error {
        name: string;
        code: number;
        reason: string;
        extra: any;
        constructor(starCode: number, errorLevel: ErrorLevel, errorCode: number, reason?: string);
        static mergeCode(starCode: number, errorLevel: ErrorLevel, errorCode: number): number;
        toCode(errorLevel: ErrorLevel, errorCode: number): number;
    }
    class AbstractExpectedError extends AbstractError {
        constructor(starCode: number, errorCode: number, reason: string);
    }
    class AbstractLogicError extends AbstractError {
        constructor(starCode: number, errorCode: number, reason: string);
    }
    class AbstractFatalError extends AbstractError {
        constructor(starCode: number, errorCode: number, reason: string);
    }
    enum ErrorLevel {
        Expected = 1,
        Logic = 2,
        Fatal = 3,
    }
}
