/// <reference types="consul" />
import 'reflect-metadata';
import * as Consul from 'consul';
import { MongoDust } from './dust/mongo.dust';
import { MessageDust } from './dust/message.dust';
export declare class Star {
    protected serviceName: string;
    protected consul: Consul.Consul;
    protected controllerClasses: any;
    protected controllers: any;
    protected typeDefs: Array<string>;
    protected mongoDust: MongoDust;
    protected messageDust: MessageDust;
    constructor(serviceName: string);
    private setupConsul();
    private initialize();
    private destroyConsul();
    private destroy();
    private registerStar();
    private registerRestEndpoints();
    private registerRPCEndpoints();
    private registerGraphTypeDefs();
    private registerGraphResolvers();
    private registerWorkerEventEndpoints();
    private registerFanoutEventEndpoints();
    postInitialize(): Promise<void>;
    postDestroy(): Promise<void>;
    run(): Promise<void>;
    registerRestController(controllerClass: any): void;
    registerRpcController(controllerClass: any): void;
    registerGraphController(controllerClass: any): void;
    registerGraphTypeDef(typeDef: any): void;
    registerWorkerEventController(controllerClass: any): void;
    registerFanoutEventController(controllerClass: any): void;
}
