"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const error_1 = require("../error");
var AbstractFatalError = error_1.StarError.AbstractFatalError;
const starCode = 100;
var ErrorCode;
(function (ErrorCode) {
    let Logic;
    (function (Logic) {
        Logic[Logic["RPC_TIMEOUT"] = 1] = "RPC_TIMEOUT";
    })(Logic = ErrorCode.Logic || (ErrorCode.Logic = {}));
    let FATAL;
    (function (FATAL) {
        FATAL[FATAL["MISSING_CONSUL_TOKEN"] = 1] = "MISSING_CONSUL_TOKEN";
        FATAL[FATAL["NOT_INIT_REST_ENDPOINT"] = 2] = "NOT_INIT_REST_ENDPOINT";
        FATAL[FATAL["UNREGISTERED_EVENT_KEY"] = 3] = "UNREGISTERED_EVENT_KEY";
    })(FATAL = ErrorCode.FATAL || (ErrorCode.FATAL = {}));
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
class LogicError extends AbstractFatalError {
    constructor(code, debugInfo) {
        super(starCode, code, `HQ-${code}.${ErrorCode.Logic[code]}`);
        this.extra.debugInfo = debugInfo;
    }
}
exports.LogicError = LogicError;
class FatalError extends AbstractFatalError {
    constructor(code, debugInfo) {
        super(starCode, code, `HQ-${code}.${ErrorCode.FATAL[code]}`);
        this.extra.debugInfo = debugInfo;
    }
}
exports.FatalError = FatalError;
//# sourceMappingURL=error.js.map