"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const DailyRotateFile = require("winston-daily-rotate-file");
const level = process.env.LOG_LEVEL || 'info';
exports.logger = new winston.Logger({
    level,
    transports: [
        new winston.transports.Console({ level }),
        new winston.transports.File({
            level: 'error',
            filename: 'error.log'
        }),
        new DailyRotateFile({
            level,
            filename: '%DATE%.log',
            datePattern: 'YYYY-MM-DD',
            zippedArchive: true
        })
    ]
});
//# sourceMappingURL=logger.js.map