export declare namespace Singleton {
    interface SingletonClass {
        initialize(): void | Promise<void>;
    }
    interface SingletonContainer {
        [name: string]: SingletonClass;
    }
    class SingletonFactory {
        static get<T extends SingletonClass>(C: (new () => T)): T;
    }
    const container: SingletonContainer;
}
